### Method

# Camel DB set_collate

since: 2.24

#### Declaration [src]

    gboolean
    camel_db_set_collate (
      CamelDB* cdb,
      const gchar* col,
      const gchar* collate,
      CamelDBCollate func
    )

#### Description [src]

Defines a collation `collate`, which can be used in SQL (SQLite) statement as a collation function. The `func` is called when colation is used.

Available since: 2.24

#### Parameters

`col`

  Type: `const gchar*`

  A column name; currently unused.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`collate`

  Type: `const gchar*`

  Collation name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`func`

  Type: `CamelDBCollate`

  A `CamelDBCollate` collation function.

#### Return value

Type: `gboolean`

Whether succeeded.